package com.barrelsofdata.examples.beam.streaming.sensor;

import com.barrelsofdata.examples.beam.streaming.sensor.config.SensorPipelineOptions;
import com.barrelsofdata.examples.beam.streaming.sensor.pipeline.SensorAnalytics;
import com.barrelsofdata.examples.beam.streaming.sensor.util.PipelineOptionsBuilder;
import org.apache.beam.sdk.Pipeline;

/**
 * The main application class that triggers the pipeline run
 */
public class Application {

    public static void main(String[] args) {
        SensorPipelineOptions pipelineOptions
                = PipelineOptionsBuilder.from(args, SensorPipelineOptions.class);

        Pipeline pipeline = Pipeline.create(pipelineOptions);
        SensorAnalytics.from(pipeline, pipelineOptions).run();
    }
}
