package com.barrelsofdata.examples.beam.streaming.sensor.function;

import com.barrelsofdata.examples.beam.streaming.sensor.model.Data;
import com.barrelsofdata.examples.beam.streaming.sensor.model.RawEvent;
import org.joda.time.Instant;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class ExtractTimestampTest {
    @Test
    void testTimestampExtraction() {
        Long ts = 1698489173051L;
        Data testData = new Data(ts, 50.0);
        RawEvent testRawEvent = new RawEvent("testUser1", testData);

        ExtractTimestamp extractTimestamp = ExtractTimestamp.of();
        Instant extractedTime = extractTimestamp.apply(testRawEvent);

        assertEquals(ts, extractedTime.getMillis());
    }
}